LINUX.ORG.RU
ФорумAdmin

Debian + apt-get


0

0

Привет, всем!!! Решил я перейти с Slackware на Debian (чтоб можно было красивее обновлять). Слил 3 диска (3.1 sarge), потом обновил (dist-upgrade). но все равно столкнулся со следующей проблемой. в пакете libgtk находится cлишком старая gtk либа, работая с которой в eclips'е переодически перестают работать некоторые клавиши. на eclipse.org эта проблема знакома и решение только одно - поставить более новую версию gtk. а вот тут-то у меня и возникла проблема. дело в том, что в /etc/apt/sources.list я выставил опцию stable (unstable я не хочу ставить). apt-get просто так не хочет закачивать более новую версию gtk. как мне можно заставить это сделать? т.е. как можно в debian'е заставить в стабильном (stable) заставить apt-get устанавливать некоторые не стабильные (sid) пакеты?


Re: Debian + apt-get

Прописываешь еще и unstable-репозиторий и делаешь

apt-get -t unstable install blah

Demetrio ★★★★★ ()

Re: Debian + apt-get

1. touch /etc/apt/preferences

2. его содержимое:
cat /etc/apt/preferences
Package: *
Pin: release a=stable
Pin-Priority: 800

Package: *
Pin: release a=unstable
Pin-Priority: 600

3. добавляешь в /etc/apt/sources.list unstable репозитарий
4. apt-get update
5. apt-get -t unstable install packagename

при такой конфигурации из пакеты из unstable будут ставится только при явно указанном ключе -t unstable

всё это есть в apt howto:
http://www.us.debian.org/doc/manuals/apt-howto/index.ru.html

anonymous ()
Ответ на: Re: Debian + apt-get от anonymous

Re: Debian + apt-get

Большое спасибо за столь подробный и точный ответ :)
теперь все понятно - побежал делать :)

Man ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.